"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.List = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _breakpoint = _interopRequireDefault(require("../../../utilities/breakpoint"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n    ", "\n  "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var justifyTypes = {
  left: 'flex-start',
  right: 'flex-end',
  center: 'center',
  even: 'space-between'
};

var justify = function justify(_ref) {
  var justifyContent = _ref.justify;
  return "justify-content: ".concat(justifyTypes[justifyContent], ";");
};

var textAlign = function textAlign(_ref2) {
  var justifyTextAlign = _ref2.justify;
  return "text-align: ".concat(justifyTextAlign, ";");
};

var direction = function direction(_ref3) {
  var inline = _ref3.inline,
      responsive = _ref3.responsive;
  return inline && !responsive ? 'flex-direction: row;' : 'flex-direction: column;';
};

var padding = function padding(_ref4) {
  var ordered = _ref4.ordered,
      unordered = _ref4.unordered;
  return ordered || unordered ? 'padding: 0 0 0 1.1em;' : 'padding: 0px;';
};

var type = function type(_ref5) {
  var ordered = _ref5.ordered,
      unordered = _ref5.unordered;
  var listStyleType = 'none';
  if (ordered) listStyleType = 'decimal';
  if (unordered) listStyleType = 'initial';
  return "list-style-type: ".concat(listStyleType, ";");
};

var List = (0, _styledComponents.default)(function (_ref6) {
  var ordered = _ref6.ordered,
      _inline = _ref6.inline,
      _responsive = _ref6.responsive,
      _unordered = _ref6.unordered,
      props = _objectWithoutProperties(_ref6, ["ordered", "inline", "responsive", "unordered"]);

  return _react.default.createElement(ordered ? 'ol' : 'ul', _objectSpread({}, props));
}).withConfig({
  displayName: "Liststyle__List",
  componentId: "sc-1vtx10a-0"
})(["display:flex;margin:0;align-items:stretch;", " ", " ", " ", " ", " ", ""], type, justify, textAlign, direction, padding, _breakpoint.default.md(_templateObject(), function (_ref7) {
  var inline = _ref7.inline;
  return inline && "\n        flex-direction: row;\n        align-items: center;\n      ";
}));
exports.List = List;