"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ListItem = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _breakpoint = _interopRequireDefault(require("../../../utilities/breakpoint"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n    margin-bottom: ", "px;\n    margin-right: ", "px;\n  "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var sizes = {
  sm: 8,
  md: 16,
  lg: 32,
  xl: 48
};

var ListItem = _styledComponents.default.li.withConfig({
  displayName: "ListItemstyle__ListItem",
  componentId: "sc-15wjwlg-0"
})(["list-style-type:inherit;flex:1;flex:", ";margin-top:0;margin-left:0;margin-right:", "px;margin-bottom:", "px;&:last-child{margin-bottom:0;margin-right:0;}", ""], function (props) {
  return props.expander ? '1' : '0 1 auto';
}, function (props) {
  return props.inline && !props.responsive ? sizes[props.size] : 0;
}, function (props) {
  return props.inline && !props.responsive ? 0 : sizes[props.size];
}, _breakpoint.default.md(_templateObject(), function (props) {
  return props.inline ? 0 : sizes[props.size];
}, function (props) {
  return props.inline ? sizes[props.size] : 0;
}));

exports.ListItem = ListItem;