"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Grid = exports.sizes = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var sizes = {
  none: 0,
  sm: 8,
  md: 16,
  lg: 24,
  xl: 32,
  xxl: 40
};
exports.sizes = sizes;

var getAlignItems = function getAlignItems(_ref) {
  var align = _ref.align;
  return align ? {
    alignItems: align
  } : null;
};

var px = function px(n) {
  return typeof n === 'number' ? "".concat(n, "px") : n;
};

var getWidth = function getWidth(_ref2) {
  var width = _ref2.width;
  return {
    gridTemplateColumns: "repeat(auto-fit, minmax(".concat(px(width), ", 1fr))")
  };
};

var getGap = function getGap(_ref3) {
  var gap = _ref3.gap;
  return {
    gridGap: px(sizes[gap])
  };
};

var Grid = _styledComponents.default.div.withConfig({
  displayName: "Gridstyle__Grid",
  componentId: "sc-1mkchly-0"
})(["display:grid;", " ", " ", ""], getAlignItems, getGap, getWidth);

exports.Grid = Grid;