"use strict";

function _templateObject() {
  var data = _taggedTemplateLiteral(["", ""]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _rebass = require("rebass");

var S = _interopRequireWildcard(require("./Split.style"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var displayName = 'Split';
var defaultProps = {
  flex: 'both',
  priority: 'right'
};

var Split = function Split(_ref) {
  var flex = _ref.flex,
      priority = _ref.priority,
      showOnMobile = _ref.showOnMobile,
      style = _ref.style,
      props = _objectWithoutProperties(_ref, ["flex", "priority", "showOnMobile", "style"]);

  var children = _react.default.Children.map(props.children, function (child, index) {
    var column = {
      component: child,
      flex: flex === 'both' ? true : flex === (index % 2 ? 'right' : 'left'),
      show: showOnMobile === 'both' ? true : priority === (index % 2 ? 'right' : 'left')
    };
    return _react.default.createElement(S.SplitColumn, column);
  });

  return _react.default.createElement(_StyledFlex, {
    flexDirection: ['column', 'row'],
    _css: style
  }, children);
};

Split.displayName = displayName;
Split.defaultProps = defaultProps;
var _default = Split;
exports.default = _default;

var _StyledFlex = (0, _styledComponents.default)(_rebass.Flex)(_templateObject(), function (p) {
  return p._css;
});