"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _LayerPortal = _interopRequireDefault(require("../LayerPortal"));

var _LayerOverlay = _interopRequireDefault(require("../LayerOverlay"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var displayName = 'Layer';
var defaultProps = {
  closeOnClickOutside: true,
  closeOnEsc: true,
  open: false,
  overlay: true
};

var Layer = function Layer(_ref) {
  var children = _ref.children,
      closeOnClickOutside = _ref.closeOnClickOutside,
      closeOnEsc = _ref.closeOnEsc,
      open = _ref.open,
      onClose = _ref.onClose,
      overlay = _ref.overlay;
  return open ? _react.default.createElement(_LayerPortal.default, {
    closeOnEsc: closeOnEsc,
    onClose: onClose
  }, _react.default.createElement(_LayerOverlay.default, {
    onClick: function onClick() {
      return closeOnClickOutside && onClose();
    },
    overlay: overlay
  }), children) : null;
};

Layer.displayName = displayName;
Layer.defaultProps = defaultProps;
var _default = Layer;
exports.default = _default;