"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MobileNavigationContent = exports.MobileNavigationClose = exports.MobileNavigationDrawer = exports.MobileNavigationBar = exports.MobileNavigationButton = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _breakpoint = _interopRequireDefault(require("../../utilities/breakpoint"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n    display: ", ";\n  "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var MobileNavigationButton = _styledComponents.default.a.withConfig({
  displayName: "MobileNavigationstyle__MobileNavigationButton",
  componentId: "cb7c6n-0"
})(["cursor:pointer;display:inline-block;line-height:1;width:36px;height:36px;", ""], _breakpoint.default.md(_templateObject(), function (props) {
  return props.showOnDesktop ? 'inline-block' : 'none';
}));

exports.MobileNavigationButton = MobileNavigationButton;
MobileNavigationButton.displayName = 'MobileNavigationButton';

var MobileNavigationBar = _styledComponents.default.div.withConfig({
  displayName: "MobileNavigationstyle__MobileNavigationBar",
  componentId: "cb7c6n-1"
})(["width:100%;height:4px;background-color:black;margin:8px 0;", ""], function (props) {
  return props.theme.MobileNavigationBar;
});

exports.MobileNavigationBar = MobileNavigationBar;
MobileNavigationBar.displayName = 'MobileNavigationBar';

var MobileNavigationDrawer = _styledComponents.default.div.withConfig({
  displayName: "MobileNavigationstyle__MobileNavigationDrawer",
  componentId: "cb7c6n-2"
})(["position:absolute;top:0;left:0;right:0;min-height:100vh;background-color:#fff;z-index:100;", ""], function (props) {
  return props.theme.MobileNavigationDrawer;
});

exports.MobileNavigationDrawer = MobileNavigationDrawer;
MobileNavigationDrawer.displayName = 'MobileNavigationDrawer';

var MobileNavigationClose = _styledComponents.default.div.withConfig({
  displayName: "MobileNavigationstyle__MobileNavigationClose",
  componentId: "cb7c6n-3"
})(["font-size:32px;cursor:pointer;position:absolute;top:8px;right:8px;width:28px;height:28px;line-height:1;text-align:center;"]);

exports.MobileNavigationClose = MobileNavigationClose;
MobileNavigationClose.displayName = 'MobileNavigationClose';

var MobileNavigationContent = _styledComponents.default.div.withConfig({
  displayName: "MobileNavigationstyle__MobileNavigationContent",
  componentId: "cb7c6n-4"
})(["padding:16px;", ""], function (props) {
  return props.theme.MobileNavigationContent;
});

exports.MobileNavigationContent = MobileNavigationContent;
MobileNavigationContent.displayName = 'MobileNavigationContent';