"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.getTheme = void 0;

var _lodash = _interopRequireDefault(require("lodash"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = require("styled-components");

var _polished = require("polished");

var _typography = _interopRequireDefault(require("typography"));

var _default2 = _interopRequireWildcard(require("../themes/default"));

var _utilities = require("../Modules/Layer/utilities");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  ", "\n  ", "\n  ", "\n  ", "\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var displayName = 'ThemeProvider';
var defaultProps = {
  theme: {}
};

var getTheme = function getTheme(theme) {
  return theme ? _lodash.default.defaultsDeep(theme, _default2.default) : _default2.default;
};

exports.getTheme = getTheme;
var GlobalStyle = (0, _styledComponents.createGlobalStyle)(_templateObject(), _default2.baseCSS, (0, _polished.normalize)(), function (props) {
  return props.typography;
}, function (props) {
  return props.global;
});

var ThemeProvider =
/*#__PURE__*/
function (_React$PureComponent) {
  _inherits(ThemeProvider, _React$PureComponent);

  function ThemeProvider(props) {
    var _this;

    _classCallCheck(this, ThemeProvider);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ThemeProvider).call(this, props));

    _this.componentDidMount = function () {
      (0, _utilities.createLayerPortalNode)();
    };

    _this.theme = getTheme(props.theme);
    _this.typography = new _typography.default(_this.theme.typography).toString();
    return _this;
  }

  _createClass(ThemeProvider, [{
    key: "render",
    value: function render() {
      return _react.default.createElement(_styledComponents.ThemeProvider, {
        theme: this.theme
      }, _react.default.createElement(_react.default.Fragment, null, this.props.children, _react.default.createElement(GlobalStyle, {
        global: this.theme.global,
        suppressMultiMountWarning: true,
        typography: this.typography
      })));
    }
  }]);

  return ThemeProvider;
}(_react.default.PureComponent);

ThemeProvider.displayName = displayName;
ThemeProvider.defaultProps = defaultProps;
var _default = ThemeProvider;
exports.default = _default;