"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "typography", {
  enumerable: true,
  get: function get() {
    return _typography.default;
  }
});
exports.default = exports.theme = exports.baseCSS = void 0;

var _typography = _interopRequireDefault(require("./typography"));

var _colors = _interopRequireDefault(require("./colors"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var baseCSS = "\n  * {\n    text-rendering: optimizeLegibility;\n    -moz-osx-font-smoothing: grayscale;\n    -webkit-font-smoothing: antialiased;\n  }\n\n  html, body {\n    min-height: 100vh;\n  }\n\n  html {\n    box-sizing: border-box;\n  }\n\n  * {\n    margin: 0;\n    padding: 0;\n    outline: none;\n  }\n\n  *, *:before, *:after {\n    box-sizing: inherit;\n  }\n\n  svg {\n    transform-origin: 0px !important;\n  }\n";
exports.baseCSS = baseCSS;
var theme = {
  colors: _colors.default,
  typography: _typography.default,
  buttons: {
    primary: {
      backgroundColor: _colors.default.primary,
      color: _colors.default.primaryInverse,
      '&:hover': {
        backgroundColor: _colors.default.primaryHover
      }
    }
  }
};
exports.theme = theme;
var _default = theme;
exports.default = _default;