"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _colors = _interopRequireDefault(require("./colors"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var typography = {
  title: 'US Web Design Standards',
  baseFontSize: '16px',
  baseLineHeight: 1.53,
  scale: 2.35,
  googleFonts: [{
    name: 'Merriweather',
    styles: ['700']
  }, {
    name: 'Source Sans Pro',
    styles: ['400', '400i', '700']
  }],
  headerFontFamily: ['Source Sans Pro', 'sans-serif'],
  bodyFontFamily: ['Source Sans Pro', 'sans-serif'],
  bodyColor: _colors.default.text02,
  headerColor: _colors.default.text01,
  headerWeight: 700,
  bodyWeight: 400,
  boldWeight: 700,
  overrideStyles: function overrideStyles(_ref, options) {
    var scale = _ref.scale;
    return {
      h1: scale(5 / 5),
      h2: scale(3 / 5),
      h3: scale(1 / 5),
      h4: scale(0 / 5),
      h5: scale(-1 / 8),
      h6: _objectSpread({}, scale(-2 / 8), {
        fontFamily: options.bodyFontFamily.join(','),
        fontWeight: options.bodyWeight,
        textTransform: 'uppercase'
      })
    };
  }
};
var _default = typography;
exports.default = _default;